count: 1303
next: https://normandy.cdn.mozilla.net/api/v3/recipe/?format=yaml&ordering=approved_revision&page=2
previous: null
results:
- approved_revision: null
  id: 419
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM, thanks
      created: '2018-02-27T00:16:58.718353Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 682
      revision:
        id: 123
        recipe_id: 419
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Advocacy/heartbeat
      message: Please take this short survey about your experience with Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/SPOCS-Release
      repeatOption: once
      surveyId: hb-activity-stream-59-release-pocket-sponsored-stories-bug-1435822
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-02-26T23:34:39.120619Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\n\
      )"
    filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\n\
      )"
    filter_object: []
    id: 123
    identicon_seed: v1:t30johe8kv9
    metadata: {}
    name: 'Heartbeat: Activity Stream 59 Release Pocket Sponsored Stories (Bug 1435822)'
    recipe:
      approved_revision_id: null
      id: 419
      latest_revision_id: 123
    updated: '2018-02-26T23:34:39.125918Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 421
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Approved!
      created: '2018-02-27T03:04:22.357777Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 684
      revision:
        id: 120
        recipe_id: 421
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Advocacy/heartbeat
      message: Please take this short survey about your experience with Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/SPOCS-Release?b=v1
      repeatOption: once
      surveyId: hb-activity-stream-59-release-pocket-sponsored-stories-bug-1435822-v1
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-02-27T03:02:07.132167Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v1\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":true,\"personalized\":true}'\n)"
    filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v1\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":true,\"personalized\":true}'\n)"
    filter_object: []
    id: 120
    identicon_seed: v1:6bqnx3iyyca
    metadata: {}
    name: 'Heartbeat: Activity Stream 59 Release Pocket Sponsored Stories (Bug 1435822)
      - Variant1'
    recipe:
      approved_revision_id: null
      id: 421
      latest_revision_id: 120
    updated: '2018-02-27T03:02:07.137348Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 420
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Looks good!
      created: '2018-02-27T03:04:08.749152Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 683
      revision:
        id: 122
        recipe_id: 420
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Advocacy/heartbeat
      message: Please take this short survey about your experience with Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/SPOCS-Release?b=c
      repeatOption: once
      surveyId: hb-activity-stream-59-release-pocket-sponsored-stories-bug-1435822-c
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-02-27T03:01:58.138747Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_control\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":false,\"personalized\":true}'\n)"
    filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_control\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":false,\"personalized\":true}'\n)"
    filter_object: []
    id: 122
    identicon_seed: v1:jw2x493ob
    metadata: {}
    name: 'Heartbeat: Activity Stream 59 Release Pocket Sponsored Stories (Bug 1435822)
      - Control'
    recipe:
      approved_revision_id: null
      id: 420
      latest_revision_id: 122
    updated: '2018-02-27T03:01:58.143682Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 447
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2018-04-20T19:40:56.779193Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 760
      revision:
        id: 45
        recipe_id: 447
    arguments:
      engagementButtonLabel: Update Now
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://support.mozilla.org/en-US/kb/rate-your-firefox-experience-heartbeat
      message: Your Firefox is critically out of date.  An update is required to stay
        secure.
      postAnswerUrl: https://www.mozilla.org/firefox/new/?utm_source=firefox&utm_medium=heartbeat&utm_campaign=hboutofdateen
      repeatEvery: 7
      repeatOption: xdays
      surveyId: hb-out-of-date-en- Weekly
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-04-20T19:39:32.651297Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    normandy.locale in ['en-US', 'en-AU', 'en-CA',\
      \ 'en-GB', 'en-NZ', 'en-ZA']\n    && normandy.version < '58'\n    && normandy.channel\
      \ == 'release'\n    && [normandy.userId]|bucketSample(200, 800, 1000)\n)"
    filter_expression: "(\n    normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB',\
      \ 'en-NZ', 'en-ZA']\n    && normandy.version < '58'\n    && normandy.channel\
      \ == 'release'\n    && [normandy.userId]|bucketSample(200, 800, 1000)\n)"
    filter_object: []
    id: 45
    identicon_seed: v1:v59bdvbh5v
    metadata: {}
    name: Out of Date - EN - Weekly
    recipe:
      approved_revision_id: null
      id: 447
      latest_revision_id: 45
    updated: '2018-04-20T19:39:32.655619Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 423
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Looks solid
      created: '2018-02-27T03:04:28.524743Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 686
      revision:
        id: 118
        recipe_id: 423
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Advocacy/heartbeat
      message: Please take this short survey about your experience with Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/SPOCS-Release?b=v3
      repeatOption: once
      surveyId: hb-activity-stream-59-release-pocket-sponsored-stories-bug-1435822-v3
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-02-27T03:02:18.814602Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v3\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":true,\"personalized\":true}'\n)"
    filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v3\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":true,\"personalized\":true}'\n)"
    filter_object: []
    id: 118
    identicon_seed: v1:ukis4ark2pn
    metadata: {}
    name: 'Heartbeat: Activity Stream 59 Release Pocket Sponsored Stories (Bug 1435822)
      - Variant3'
    recipe:
      approved_revision_id: null
      id: 423
      latest_revision_id: 118
    updated: '2018-02-27T03:02:18.819868Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 422
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Looks good
      created: '2018-02-27T03:04:25.299431Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 685
      revision:
        id: 119
        recipe_id: 422
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Advocacy/heartbeat
      message: Please take this short survey about your experience with Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/SPOCS-Release?b=v2
      repeatOption: once
      surveyId: hb-activity-stream-59-release-pocket-sponsored-stories-bug-1435822-v2
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-02-27T03:02:11.996047Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v2\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":true,\"personalized\":true}'\n)"
    filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v2\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":true,\"personalized\":true}'\n)"
    filter_object: []
    id: 119
    identicon_seed: v1:6h8apv1t2fq
    metadata: {}
    name: 'Heartbeat: Activity Stream 59 Release Pocket Sponsored Stories (Bug 1435822)
      - Variant2'
    recipe:
      approved_revision_id: null
      id: 422
      latest_revision_id: 119
    updated: '2018-02-27T03:02:12.001386Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 533
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Test
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://support.mozilla.org/kb/rate-your-firefox-experience-heartbeat
      message: Test
      postAnswerUrl: https://addons.mozilla.org/firefox/downloads/file/1018006/adblock_plus-3.2-an+fx.xpi
      repeatEvery: 1
      repeatOption: xdays
      surveyId: hb-about-test
      thanksMessage: Thank you
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-08-08T13:58:32.350449Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n\n  normandy.version > '60'\n)"
    filter_expression: "(\n\n  normandy.version > '60'\n)"
    filter_object: []
    id: 1659
    identicon_seed: v1:p6bxeqp9tfm
    metadata: {}
    name: Test about:preferences -DO NOT PUBLISH
    recipe:
      approved_revision_id: null
      id: 533
      latest_revision_id: 1659
    updated: '2018-08-08T13:58:32.350716Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 424
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Ready to roll
      created: '2018-02-27T03:04:30.916112Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 687
      revision:
        id: 117
        recipe_id: 424
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Advocacy/heartbeat
      message: Please take this short survey about your experience with Firefox
      postAnswerUrl: https://qsurvey.mozilla.com/s3/SPOCS-Release?b=v4
      repeatOption: once
      surveyId: hb-activity-stream-59-release-pocket-sponsored-stories-bug-1435822-v4
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-02-27T03:02:20.543252Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v4\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":true,\"personalized\":true}'\n)"
    filter_expression: "(\n  normandy.channel == 'release' && \n  normandy.country\
      \ == 'US' &&\n  normandy.locale == 'en-US' &&\n  normandy.version >= '58.0'\
      \ &&\n  normandy.request_time < '2018-03-06'|date &&\n  [normandy.userId]|bucketSample(328,\
      \ 10, 1000)  &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceIsUserSet\
      \ &&\n  'browser.newtabpage.activity-stream.feeds.section.topstories.options'|preferenceValue\
      \ == '{\"api_key_pref\":\"extensions.pocket.oAuthConsumerKey\",\"hidden\":false,\"\
      provider_header\":\"pocket_feedback_header\",\"provider_description\":\"pocket_description\"\
      ,\"provider_icon\":\"pocket\",\"provider_name\":\"Pocket\",\"read_more_endpoint\"\
      :\"https://getpocket.com/explore/trending?src=fx_new_tab\",\"stories_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/global-recs?version=2&consumer_key=$apiKey&locale_lang=en-US&feed_variant=release_spocs_v4\"\
      ,\"stories_referrer\":\"http://getpocket.com/recommendations\",\"info_link\"\
      :\"https://www.mozilla.org/privacy/firefox/#pocketstories\",\"disclaimer_link\"\
      :\"https://getpocket.cdn.mozilla.net/firefox/new_tab_learn_more\",\"topics_endpoint\"\
      :\"https://getpocket.cdn.mozilla.net/v3/firefox/trending-topics?version=2&consumer_key=$apiKey&locale_lang=en-US\"\
      ,\"show_spocs\":true,\"personalized\":true}'\n)"
    filter_object: []
    id: 117
    identicon_seed: v1:f7lga5scpr4
    metadata: {}
    name: 'Heartbeat: Activity Stream 59 Release Pocket Sponsored Stories (Bug 1435822)
      - Variant4'
    recipe:
      approved_revision_id: null
      id: 424
      latest_revision_id: 117
    updated: '2018-02-27T03:02:20.548446Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 442
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: false
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: killing
      created: '2018-04-06T19:45:03.221834Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 752
      revision:
        id: 52
        recipe_id: 442
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please help us make Firefox better by filling out this simple survey
      postAnswerUrl: https://qsurvey.mozilla.com/s3/feedback-asw?b=0
      repeatOption: once
      surveyId: hb-activity-stream-60-beta-wide-layout-bug-1443649-false
      thanksMessage: Thanks!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-04-06T19:44:43.523905Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version\
      \ > '60'\n  && normandy.version < '61'\n  && normandy.request_time < '2018-04-10'|date\n\
      \  &&  normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \  && [normandy.userId]|bucketSample(250, 40, 1000)\n  && 'browser.newtabpage.activity-stream.enableWideLayout'|preferenceExists\n\
      \  && !('browser.newtabpage.activity-stream.enableWideLayout'|preferenceValue)\n\
      )"
    filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version > '60'\n\
      \  && normandy.version < '61'\n  && normandy.request_time < '2018-04-10'|date\n\
      \  &&  normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \  && [normandy.userId]|bucketSample(250, 40, 1000)\n  && 'browser.newtabpage.activity-stream.enableWideLayout'|preferenceExists\n\
      \  && !('browser.newtabpage.activity-stream.enableWideLayout'|preferenceValue)\n\
      )"
    filter_object: []
    id: 52
    identicon_seed: v1:kk6k4pb1gag
    metadata: {}
    name: 'Heartbeat False: Activity Stream wide layout, 60 Beta [1443649]'
    recipe:
      approved_revision_id: null
      id: 442
      latest_revision_id: 52
    updated: '2018-04-06T19:44:43.541218Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 441
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: false
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: killing
      created: '2018-04-06T19:45:00.802561Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 751
      revision:
        id: 57
        recipe_id: 441
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please help us make Firefox better by filling out this simple survey
      postAnswerUrl: https://qsurvey.mozilla.com/s3/feedback-asw?b=1
      repeatOption: once
      surveyId: hb-activity-stream-60-beta-wide-layout-bug-1443649-true
      thanksMessage: Thanks!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-04-06T19:44:37.008322Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version\
      \ > '60'\n  && normandy.version < '61'\n  && normandy.request_time < '2018-04-10'|date\n\
      \  &&  normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \  && [normandy.userId]|bucketSample(250, 120, 1000)\n  && 'browser.newtabpage.activity-stream.enableWideLayout'|preferenceExists\n\
      \  && 'browser.newtabpage.activity-stream.enableWideLayout'|preferenceValue\n\
      )"
    filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version > '60'\n\
      \  && normandy.version < '61'\n  && normandy.request_time < '2018-04-10'|date\n\
      \  &&  normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \  && [normandy.userId]|bucketSample(250, 120, 1000)\n  && 'browser.newtabpage.activity-stream.enableWideLayout'|preferenceExists\n\
      \  && 'browser.newtabpage.activity-stream.enableWideLayout'|preferenceValue\n\
      )"
    filter_object: []
    id: 57
    identicon_seed: v1:0tpb0w2gsku9
    metadata: {}
    name: 'Heartbeat True: Activity Stream wide layout, 60 Beta [1443649]'
    recipe:
      approved_revision_id: null
      id: 441
      latest_revision_id: 57
    updated: '2018-04-06T19:44:37.015114Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 446
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-04-19T22:52:16.173006Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 754
      revision:
        id: 46
        recipe_id: 446
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Would you like to share feedback about Firefox?
      postAnswerUrl: https://qsurvey.mozilla.com/s3/post-57-users
      repeatOption: once
      surveyId: hb-post-57-install-reasons
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-04-19T22:52:12.215230Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId, normandy.request_time]|stableSample(0.005)\n\
      \   && normandy.locale == 'en-US'\n   && normandy.version  >= '59.0'\n   &&\
      \ normandy.channel == 'release'\n   &&!normandy.isFirstRun\n  && normandy.telemetry.main.environment.profile.creationDate\
      \ > 17483\n)"
    filter_expression: "(\n   [normandy.userId, normandy.request_time]|stableSample(0.005)\n\
      \   && normandy.locale == 'en-US'\n   && normandy.version  >= '59.0'\n   &&\
      \ normandy.channel == 'release'\n   &&!normandy.isFirstRun\n  && normandy.telemetry.main.environment.profile.creationDate\
      \ > 17483\n)"
    filter_object: []
    id: 46
    identicon_seed: v1:15oakxgkh0x
    metadata: {}
    name: Post 57 Install Reasons
    recipe:
      approved_revision_id: null
      id: 446
      latest_revision_id: 46
    updated: '2018-04-19T22:52:12.220642Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 438
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-03-20T19:57:50.316774Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 722
      revision:
        id: 65
        recipe_id: 438
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please help us make Firefox better by filling out this simple survey
      postAnswerUrl: https://qsurvey.mozilla.com/s3/FXA-Knowledge
      repeatOption: once
      surveyId: hb-FXA-Knowledge
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-03-20T19:57:47.155197Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(    \n    (\n    [normandy.userId, normandy.recipe.id]|stableSample(0.01)\n\
      \    )\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n    && normandy.syncSetup\n)"
    filter_expression: "(    \n    (\n    [normandy.userId, normandy.recipe.id]|stableSample(0.01)\n\
      \    )\n    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ',\
      \ 'en-ZA']\n    && normandy.syncSetup\n)"
    filter_object: []
    id: 65
    identicon_seed: v1:rwvnvhpe8x
    metadata: {}
    name: FXA Knowledge
    recipe:
      approved_revision_id: null
      id: 438
      latest_revision_id: 65
    updated: '2018-03-20T19:57:47.160370Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 437
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: Changing expiration date
      created: '2018-03-20T00:02:17.861563Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 720
      revision:
        id: 67
        recipe_id: 437
    arguments:
      branches:
      - ratio: 1
        slug: Control
        value: false
      - ratio: 1
        slug: Variant
        value: true
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1443649
      isEnrollmentPaused: false
      isHighVolume: false
      preferenceBranchType: default
      preferenceName: browser.newtabpage.activity-stream.enableWideLayout
      preferenceType: boolean
      slug: pref-flip-as-wide-layout-beta-1443649
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-03-20T00:02:14.205086Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version\
      \ > '60'\n  && normandy.version < '61'\n  && normandy.request_time < '2018-04-03'|date\n\
      \  && [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n)"
    filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version > '60'\n\
      \  && normandy.version < '61'\n  && normandy.request_time < '2018-04-03'|date\n\
      \  && [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n)"
    filter_object: []
    id: 67
    identicon_seed: v1:n36jxiuhl7r
    metadata: {}
    name: 'Pref Flip Study: Activity Stream wide layout, 60 Beta [1443649]'
    recipe:
      approved_revision_id: null
      id: 437
      latest_revision_id: 67
    updated: '2018-03-20T00:02:14.387262Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 445
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: home approved
      created: '2018-04-03T18:40:33.296245Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 746
      revision:
        id: 47
        recipe_id: 445
    arguments:
      engagementButtonLabel: Try It
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Firefox can send articles to Alexa or Google Home to be read aloud.
      postAnswerUrl: https://qsurvey.mozilla.com/s3/listenlater?b=home
      repeatOption: once
      surveyId: hb-listen-home
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-04-03T18:39:46.915475Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release'\n  && normandy.locale\
      \ in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n  && normandy.version\
      \ > '58'\n  && [normandy.userId]|bucketSample(3750, 25, 10000)\n)"
    filter_expression: "(\n  normandy.channel == 'release'\n  && normandy.locale in\
      \ ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n  && normandy.version\
      \ > '58'\n  && [normandy.userId]|bucketSample(3750, 25, 10000)\n)"
    filter_object: []
    id: 47
    identicon_seed: v1:1rgpzzkgvew
    metadata: {}
    name: 'Heartbeat: Firefox Listen, Home'
    recipe:
      approved_revision_id: null
      id: 445
      latest_revision_id: 47
    updated: '2018-04-03T18:39:46.928586Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 444
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: phone approved
      created: '2018-04-03T18:40:26.485244Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 745
      revision:
        id: 48
        recipe_id: 444
    arguments:
      engagementButtonLabel: Try It
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Listen to web pages later on your phone.
      postAnswerUrl: https://qsurvey.mozilla.com/s3/listenlater?b=phone
      repeatOption: once
      surveyId: hb-listen-phone
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-04-03T18:38:57.985462Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release'\n  && normandy.locale\
      \ in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n  && normandy.version\
      \ > '58'\n  && [normandy.userId]|bucketSample(3700, 25, 10000)\n)"
    filter_expression: "(\n  normandy.channel == 'release'\n  && normandy.locale in\
      \ ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n  && normandy.version\
      \ > '58'\n  && [normandy.userId]|bucketSample(3700, 25, 10000)\n)"
    filter_object: []
    id: 48
    identicon_seed: v1:ptruqwppd6
    metadata: {}
    name: 'Heartbeat: Firefox Listen, Phone'
    recipe:
      approved_revision_id: null
      id: 444
      latest_revision_id: 48
    updated: '2018-04-03T18:38:57.999593Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 434
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-03-15T20:34:55.131184Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 714
      revision:
        id: 86
        recipe_id: 434
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please help us make Firefox better by filling out this single question
        survey
      postAnswerUrl: https://qsurvey.mozilla.com/s3/usage-yesterday-self-report-verification-low-detail
      repeatOption: once
      surveyId: hb-self-report
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-03-15T20:34:51.671225Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(348, 5, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_expression: "(\n    [normandy.userId]|bucketSample(348, 5, 1000)\n    &&\
      \ normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 86
    identicon_seed: v1:lh040jx44aj
    metadata: {}
    name: Self Report Usage
    recipe:
      approved_revision_id: null
      id: 434
      latest_revision_id: 86
    updated: '2018-03-15T20:34:51.675375Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 443
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: simple approved
      created: '2018-04-03T18:40:23.934103Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 744
      revision:
        id: 49
        recipe_id: 443
    arguments:
      engagementButtonLabel: Try It
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Want to listen instead of read?  Firefox can read web pages to you.
      postAnswerUrl: https://qsurvey.mozilla.com/s3/listenlater?b=simple
      repeatOption: once
      surveyId: hb-listen-simple
      thanksMessage: Thanks
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-04-03T18:37:43.941622Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'release'\n  && normandy.locale\
      \ in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n  && normandy.version\
      \ > '58'\n  && [normandy.userId]|bucketSample(3650, 25, 10000)\n)"
    filter_expression: "(\n  normandy.channel == 'release'\n  && normandy.locale in\
      \ ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n  && normandy.version\
      \ > '58'\n  && [normandy.userId]|bucketSample(3650, 25, 10000)\n)"
    filter_object: []
    id: 49
    identicon_seed: v1:97y4eqcnsdg
    metadata: {}
    name: 'Heartbeat: Firefox Listen, Simple'
    recipe:
      approved_revision_id: null
      id: 443
      latest_revision_id: 49
    updated: '2018-04-03T18:37:43.955654Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 425
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: sample bump from 0.01 to 0.1 approved
      created: '2018-03-07T20:40:45.274182Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 698
      revision:
        id: 116
        recipe_id: 425
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Would you like to share feedback about Firefox?
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Import-Survey
      repeatOption: once
      surveyId: hb-switch-chrome-import
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-03-07T20:40:37.189165Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId, normandy.request_time]|stableSample(0.1)\n\
      \   && normandy.locale == 'en-US'\n   && normandy.channel == 'release'\n   &&\
      \ !normandy.isFirstRun\n    && normandy.telemetry.main.environment.profile.creationDate\
      \ > 17563\n)"
    filter_expression: "(\n   [normandy.userId, normandy.request_time]|stableSample(0.1)\n\
      \   && normandy.locale == 'en-US'\n   && normandy.channel == 'release'\n   &&\
      \ !normandy.isFirstRun\n    && normandy.telemetry.main.environment.profile.creationDate\
      \ > 17563\n)"
    filter_object: []
    id: 116
    identicon_seed: v1:54881otp49x
    metadata: {}
    name: Import from Chrome
    recipe:
      approved_revision_id: null
      id: 425
      latest_revision_id: 116
    updated: '2018-03-07T20:40:37.193252Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 433
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-03-15T19:46:24.134104Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 712
      revision:
        id: 87
        recipe_id: 433
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please help us make Firefox better by filling out this single question
        survey
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Moderate-Time-Diary-Study-FF-version
      repeatOption: once
      surveyId: hb-light-diary-Firefox
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-03-15T19:45:28.807928Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(343, 5, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_expression: "(\n    [normandy.userId]|bucketSample(343, 5, 1000)\n    &&\
      \ normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 87
    identicon_seed: v1:asgrw8qugn8
    metadata: {}
    name: Moderate Time Diary - Firefox
    recipe:
      approved_revision_id: null
      id: 433
      latest_revision_id: 87
    updated: '2018-03-15T19:45:28.813149Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 432
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: approved
      created: '2018-03-15T18:57:57.982667Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 711
      revision:
        id: 88
        recipe_id: 432
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: true
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Please help us make Firefox better by filling out this single question
        survey
      postAnswerUrl: https://qsurvey.mozilla.com/s3/Moderate-Time-Diary-Study
      repeatOption: once
      surveyId: hb-time-diary-v1
      thanksMessage: Thank you!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-03-15T18:57:50.560739Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(338, 5, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_expression: "(\n    [normandy.userId]|bucketSample(338, 5, 1000)\n    &&\
      \ normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      )"
    filter_object: []
    id: 88
    identicon_seed: v1:x6ybi4grlvk
    metadata: {}
    name: Moderate Time Diary
    recipe:
      approved_revision_id: null
      id: 432
      latest_revision_id: 88
    updated: '2018-03-15T18:57:50.565895Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 431
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: mgrimes@mozilla.com
        first_name: Matthew
        id: 3
        last_name: Grimes
      comment: LGTM. Normandy update timer.
      created: '2018-04-03T19:16:27.727041Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 749
      revision:
        id: 92
        recipe_id: 431
    arguments:
      branches:
      - ratio: 1
        slug: six
        value: 21600
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1443940
      isEnrollmentPaused: false
      isHighVolume: true
      preferenceBranchType: default
      preferenceName: extensions.shield-recipe-client.run_interval_seconds
      preferenceType: integer
      slug: pref-flip-timer-speed-up-59-1443940
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-04-03T19:14:04.564388Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'beta' && \n  normandy.version\
      \ < '60.0' &&\n  [normandy.userId, normandy.recipe.id]|stableSample(0.1)\n)"
    filter_expression: "(\n  normandy.channel == 'beta' && \n  normandy.version <\
      \ '60.0' &&\n  [normandy.userId, normandy.recipe.id]|stableSample(0.1)\n)"
    filter_object: []
    id: 92
    identicon_seed: v1:3a9bs29k5ux
    metadata: {}
    name: 'Pref Flip Study: Normandy timer speed up; pre 60 [Bug 1443940]'
    recipe:
      approved_revision_id: null
      id: 431
      latest_revision_id: 92
    updated: '2018-04-03T19:14:04.776282Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 429
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      comment: '+1'
      created: '2018-04-23T19:41:33.979733Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 761
      revision:
        id: 97
        recipe_id: 429
    arguments:
      branches:
      - ratio: 1
        slug: six
        value: 21600
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1443940
      isEnrollmentPaused: false
      isHighVolume: true
      preferenceBranchType: default
      preferenceName: app.normandy.run_interval_seconds
      preferenceType: integer
      slug: pref-flip-timer-speed-up-60-1443940
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-04-23T19:41:28.794869Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'beta' && \n  normandy.version\
      \ >= '60.0' &&\n  [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n)"
    filter_expression: "(\n  normandy.channel == 'beta' && \n  normandy.version >=\
      \ '60.0' &&\n  [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n)"
    filter_object: []
    id: 97
    identicon_seed: v1:ss91d5czibm
    metadata: {}
    name: 'Pref Flip Study: Normandy timer speed up, post 60 [Bug 1443940]'
    recipe:
      approved_revision_id: null
      id: 429
      latest_revision_id: 97
    updated: '2018-04-23T19:41:29.001184Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 439
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-04-02T19:50:16.731592Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 743
      revision:
        id: 64
        recipe_id: 439
    arguments:
      branches:
      - ratio: 1
        slug: Control
        value: false
      - ratio: 1
        slug: Variant
        value: true
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1443649
      isEnrollmentPaused: false
      isHighVolume: false
      preferenceBranchType: user
      preferenceName: browser.newtabpage.activity-stream.enableWideLayout
      preferenceType: boolean
      slug: pref-flip-activity-stream-60-beta-wide-layout-bug-1443649
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-04-02T19:19:51.906652Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version\
      \ > '60'\n  && normandy.version < '61'\n  && normandy.request_time < '2018-04-10'|date\n\
      \  && [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n)"
    filter_expression: "(\n  normandy.channel == 'beta'\n  && normandy.version > '60'\n\
      \  && normandy.version < '61'\n  && normandy.request_time < '2018-04-10'|date\n\
      \  && [normandy.userId, normandy.recipe.id]|stableSample(0.5)\n)"
    filter_object: []
    id: 64
    identicon_seed: v1:uondw47vije
    metadata: {}
    name: 'Pref Flip Study: Activity Stream wide layout, 60 Beta [1443649] [FIXED]'
    recipe:
      approved_revision_id: null
      id: 439
      latest_revision_id: 64
    updated: '2018-04-02T19:19:52.109952Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 427
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request:
      approved: true
      approver:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      comment: LGTM
      created: '2018-03-02T22:29:05.189444Z'
      creator:
        email: tdowner@mozilla.com
        first_name: Tyler
        id: 10
        last_name: Downer
      id: 694
      revision:
        id: 107
        recipe_id: 427
    arguments:
      engagementButtonLabel: Take Survey
      includeTelemetryUUID: false
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
      message: Would you like to share feedback about Firefox?
      postAnswerUrl: https://qsurvey.mozilla.com/s3/New-Profiles-and-Refresh
      repeatOption: once
      surveyId: hb-profile-refresh
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2018-03-02T22:28:56.891124Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId, normandy.request_time]|stableSample(0.01)\n\
      \   && normandy.locale == 'en-US'\n   && normandy.channel == 'release'\n   &&\
      \ !normandy.isFirstRun\n    && normandy.telemetry.main.environment.profile.creationDate\
      \ > 17563\n)"
    filter_expression: "(\n   [normandy.userId, normandy.request_time]|stableSample(0.01)\n\
      \   && normandy.locale == 'en-US'\n   && normandy.channel == 'release'\n   &&\
      \ !normandy.isFirstRun\n    && normandy.telemetry.main.environment.profile.creationDate\
      \ > 17563\n)"
    filter_object: []
    id: 107
    identicon_seed: v1:ngx86w3jyt
    metadata: {}
    name: New Profile Investigation
    recipe:
      approved_revision_id: null
      id: 427
      latest_revision_id: 107
    updated: '2018-03-02T22:28:56.895721Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 417
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        properties:
          branches:
            description: List of experimental branches
            items:
              properties:
                ratio:
                  description: Ratio of users who should be grouped into this branch
                  minimum: 1
                  type: integer
                slug:
                  description: Unique identifier for this branch of the experiment
                  pattern: ^[A-Za-z0-9\-_]+$
                  type: string
                value:
                  description: Value to set the preference to for this branch
                  type:
                  - string
                  - number
                  - boolean
              required:
              - slug
              - value
              - ratio
              type: object
            minItems: 1
            type: array
          experimentDocumentUrl:
            default: ''
            description: URL of a document describing the experiment
            format: uri
            type: string
          isEnrollmentPaused:
            default: false
            description: If true, new users will not be enrolled in the study.
            type: boolean
          isHighPopulation:
            default: 'false'
            description: Marks the preference experiment as a high population experiment,
              that should be excluded from certain types of telemetry
            type: boolean
          preferenceBranchType:
            default: default
            description: Controls whether the default or user value of the preference
              is modified
            enum:
            - user
            - default
            type: string
          preferenceName:
            description: Full dotted-path of the preference that controls this experiment
            type: string
          preferenceType:
            description: Data type of the preference that controls this experiment
            enum:
            - string
            - integer
            - boolean
            type: string
          slug:
            description: Unique identifier for this experiment
            pattern: ^[A-Za-z0-9\-_]+$
            type: string
        required:
        - slug
        - preferenceName
        - preferenceType
        - branches
        title: Run a feature experiment activated by a preference.
        type: object
      id: 3
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/preference-experiment/implementation/sha384-o1w_DJcXVnm6ppFcrPr78-Q32ZVXgi6lfYm9wUS3JBj5466SxrFpXaFt_KgJC87O/
      name: preference-experiment
    approval_request:
      approved: true
      approver:
        email: jgaunt@mozilla.com
        first_name: Josh
        id: 6
        last_name: Gaunt
      comment: ready to launch
      created: '2018-02-20T23:25:58.773965Z'
      creator:
        email: rrayborn@mozilla.com
        first_name: Rob
        id: 4
        last_name: Rayborn
      id: 677
      revision:
        id: 130
        recipe_id: 417
    arguments:
      branches:
      - ratio: 1
        slug: Control
        value: false
      - ratio: 1
        slug: Variant
        value: true
      experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1434379
      isEnrollmentPaused: false
      isHighVolume: false
      preferenceBranchType: default
      preferenceName: network.http.tailing.enabled
      preferenceType: boolean
      slug: pref-flip-tracker-request-beta-1434379
    capabilities:
    - action.preference-experiment
    comment: ''
    creator: null
    date_created: '2018-02-20T23:24:29.858029Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n  normandy.channel == 'beta' && \n  normandy.version\
      \ >= '59.0' &&\n  normandy.request_time < '2018-02-28'|date &&\n [normandy.userId]|bucketSample(343,\
      \ 250, 1000)\n)"
    filter_expression: "(\n  normandy.channel == 'beta' && \n  normandy.version >=\
      \ '59.0' &&\n  normandy.request_time < '2018-02-28'|date &&\n [normandy.userId]|bucketSample(343,\
      \ 250, 1000)\n)"
    filter_object: []
    id: 130
    identicon_seed: v1:p2bt7ulmxrh
    metadata: {}
    name: 'Pref Flip Study: Tracker request tailing in Beta (Bug 1434379)'
    recipe:
      approved_revision_id: null
      id: 417
      latest_revision_id: 130
    updated: '2018-02-20T23:24:30.025759Z'
  signature: null
  uses_only_baseline_capabilities: true
